> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meetchase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Contacts

> Retrieves a list of all contacts associated with a specified organisation, including their personal and location information.

### Path Parameters

- `organisation_id` (`int`): The ID of the organisation whose contacts are being fetched.

### Headers

- `X-API-Key`: API key for user authentication.

### Response

- Returns a list of `Contact` objects, each representing a contact associated with the organisation. Each object includes the contact's ID, email, first name, last name, custom data, and timezone.

### Errors

- `403 Forbidden`: If the user does not have the necessary permissions to access the contacts of the organisation.



## OpenAPI

````yaml GET /api/v1/contacts
openapi: 3.1.0
info:
  title: ChaseLabs API
  version: 0.1.0
servers:
  - url: https://services.meetchase.ai
security: []
paths:
  /api/v1/contacts:
    get:
      tags:
        - Public API Routes
        - Contact Routes
      summary: Fetch Organisation Contacts Api
      description: >-
        Retrieves a list of all contacts associated with a specified
        organisation, including their personal and location information.


        ### Path Parameters


        - `organisation_id` (`int`): The ID of the organisation whose contacts
        are being fetched.


        ### Headers


        - `X-API-Key`: API key for user authentication.


        ### Response


        - Returns a list of `Contact` objects, each representing a contact
        associated with the organisation. Each object includes the contact's ID,
        email, first name, last name, custom data, and timezone.


        ### Errors


        - `403 Forbidden`: If the user does not have the necessary permissions
        to access the contacts of the organisation.
      operationId: fetch_organisation_contacts_api_api_v1_contacts_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ContactExternalOptimised'
                type: array
                title: Response Fetch Organisation Contacts Api Api V1 Contacts Get
      security:
        - API Key: []
components:
  schemas:
    ContactExternalOptimised:
      properties:
        timezone:
          type: string
          maxLength: 45
          minLength: 1
          title: Timezone
        id:
          type: integer
          title: Id
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        custom_data:
          additionalProperties: true
          type: object
          title: Custom Data
        email:
          type: string
          title: Email
        tags:
          items:
            type: string
          type: array
          title: Tags
        dnc:
          type: boolean
          title: Dnc
      type: object
      required:
        - timezone
        - id
        - first_name
        - last_name
        - custom_data
        - email
        - tags
        - dnc
      title: ContactExternalOptimised
      examples:
        - custom_data:
            age: 31
            department: Sales
            role: Sales Representative
          dnc: false
          email: alice@example.com
          first_name: Alice
          id: 1
          last_name: Dowden
          tags:
            - finance
            - manager
            - technology
          timezone: Europe/London
  securitySchemes:
    API Key:
      type: apiKey
      description: Key used to authenticate user API requests.
      in: header
      name: X-API-Key

````